<?php
session_name('portal_absa');session_start();if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?exit;}
require "../conexion/conectar.php";
//include("../actualizarBus.php");


	
	$q=getQuery5($_REQUEST['busca_serie_doceI'],$_REQUEST['busca_documento_doce'],$_REQUEST['busca_folio_doceI'],$_REQUEST['busca_folio_doceF'],$_REQUEST['busca_fecha_doceI'],
	$_REQUEST['busca_fecha_doceF'],$_REQUEST['busca_nombre_doce']);
	
$_SESSION['grid_select']='grid_doce';
$_SESSION['query_doce']=$q;
//echo $q;exit;

?>

<script>
var query="";
$j_6(document).ready(function(){
	$j_6().gridJQGrid({
	php: 'grids/doceGrid.php',
	headerNames: '<img src="grids/Imagenes/descargas.png"/>,RFC Emisor,Tipo Documento,Serie,Folio,Status,Fecha,RFC Receptor,Nombre Receptor,UUID,IVA,Total',
	sortname: 'tipodocto,serie,folio',
	Frozen: true,
	idGrid: 'grid_doce',
	idPagina: 'pagina_doce',
	optionsCol: 'xml|width: 90, search: false, sortable:false, frozen: true;'+
				'rfcemisor|width: 110, frozen: true;'+
				'tipodocto|width: 150, frozen: true;'+
				'serie|width: 100, frozen: true;'+
				'folio|width: 100, sorttype:"int", frozen: true;'+
				'status|width: 60, search: false;'+
				'fecha|width: 150, sorttype:"date";'+
				'rfcreceptor|width: 150;'+
				'nombrerec|width: 150;'+
				'uuid|width: 150;'+
				'iva|width: 150, sorttype:"float";'+
				'total|width: 150, sorttype:"float"',
	hiddenCol: 'pdf,archXML,archPDF,usarRutaDistribuida,mostrarweb',
	ignoreColNamesExcel: '0,5',
	sheetName: 'Documentos encontrados',
	urlDatos: 'grids/doceDatosGrid.php',
	div: 'cuerpo',
	width: $j_6('#cuerpo').width(),
    height: 'auto',
	rowNum: 20,
	query: query,
	optionsForm: 	'',
	captionForm: '',
	tabla: '',
	reloadGridAfterSave: '',
	captionConfirm: '',
	widthConfirm: 300,
	heightConfirm: 100,
	widthForm: 500,
	heightForm: 120,
	fileForm: '',
	edit: false,
	add: false,
	del: false
	});
});
</script>
<?
function getQuery5($serieI,$doc,$folioI,$folioF,$fechaI,$fechaF,$busca_nombre){
	$qDoc="";
	$qSerie="";
	$qFolio="";
	$qFecha="";
	$qRFCEmisor="";
	$qRFCReceptor="";
	$qUUID="";
	
	if($_SESSION['todo_RFC'] == "SI"){
		$complementoQuery="";
		$permisosComplemento=$_SESSION['permisos'];
	}else{
		$complementoQuery="and rfcreceptor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
	}
	
	
	if($doc != ""){
		$qDoc=" and tipodocto='$doc'";
	}
	
	if($_REQUEST['uuid_doce'] != ""){
		$qUUID=" and uuid='".$_REQUEST['uuid_doce']."'";
	}
	
	if(trim($serieI) == ""){
		if($_POST["sinserie_check_doce"] == "1"){
			$qSerie=" and serie=''";
		}
	}else{
		$qSerie=" and serie='$serieI'";
	}
	
	if($folioI != "" && $folioF != "")
		$qFolio=" and folio >=$folioI and folio<=$folioF";
	elseif($folioI != "")
		$qFolio=" and folio >=$folioI";
	elseif($folioF != "")
		$qFolio=" and folio<=$folioF";
	
	if($fechaI != "" && $fechaF != "")
		$qFecha=" and fecha >='$fechaI' and fecha<='$fechaF'";
	elseif($fechaI != "")
		$qFecha=" and fecha >='$fechaI'";
	elseif($fechaF != "")
		$qFecha=" and fecha<='$fechaF'";
		
		if($_SESSION['esAdmin_p_prov_absa'] != "SI"){
			if($_SESSION['sesion_tipo_usuario'] == "EXTERNO"){
				$qRFCEmisor = "and rfcemisor='".$_SESSION['RFC_RECEPTOR_PORTAL']."'";
				$qRFCReceptor = " and rfcreceptor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
			}else{
				if(trim($_REQUEST['busca_rfc_doce']) != "")
					$qRFCReceptor = " and rfcreceptor='".$_REQUEST['busca_rfc_doce']."'";
			}
		}else{
			if(trim($_REQUEST['busca_rfc_doce']) != "")
				$qRFCReceptor = " and rfcreceptor='".$_REQUEST['busca_rfc_doce']."'";
		}
		
		
	
	 $getQuery5="select rfcemisor,tipodocto,serie,folio,status,fecha,rfcreceptor,nombrerec,uuid,iva,total,archXML,archPDF from doce 
	 where nombrerec like '%$busca_nombre%' $qRFCEmisor $qRFCReceptor $qDoc $qSerie $qFolio $qFecha $qUUID $permisosComplemento ";

		//echo $getQuery5;exit;
	return $getQuery5;
}
?>